## rb-rating

rb-rating — widget for displaying song ratings

## Synopsis

                        RBRating;
                        RBRatingClass;
    RBRating*           rb_rating_new                       (void);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkEventBox
                                           +----RBRating

## Implemented Interfaces

RBRating implements AtkImplementorIface and GtkBuildable.

## Properties

      "rating"                   gdouble               : Read / Write

## Signals

      "rated"                                          : Run Last

## Description

This widget displays a rating (0-5 stars) and allows the user to alter the rating by clicking.

## Details

### RBRating

    typedef struct _RBRating RBRating;

### RBRatingClass

    typedef struct {
    	GtkEventBoxClass parent;

    	void (*rated) (RBRating *rating, double score);
    } RBRatingClass;

### rb_rating_new ()

    RBRating*           rb_rating_new                       (void);

Returns : | a new RBRating widget.

## Property Details

### The `"rating"` property

      "rating"                   gdouble               : Read / Write

The rating displayed in the widget, as a floating point value between 0.0 and 5.0.

Allowed values: [0,5]

Default value: 2.5

## Signal Details

### The `"rated"` signal

    void                user_function                      (RBRating *rating,
                                                            gdouble   score,
                                                            gpointer  user_data)      : Run Last

Emitted when the user changes the rating.

`rating` : | the RBRating
`score` : | the new rating
`user_data` : | user data set when the signal handler was connected.